jQuery(document).ready(function () {

    // Sticky Header JS
    var newsIndex = [];
    for (var i = 0, len = localStorage.length; i < len; i++) {
        var key = localStorage.key(i);
        if (key == null) continue;
        var value = localStorage[key];
        if (key.search('news_section') >= 0) {
            newsIndex.push(key);
        }
    }
    for (var i = 0; i <= newsIndex.length; i++) {
        localStorage.removeItem(newsIndex[i]);
    }

    jQuery('.ecommerce-shop-products-tab').on('click', '.ecommerce-shop-products-tabs-title', function (e) {
        e.preventDefault();
        var category_id = jQuery(this).attr('category_id');
        var products_count = jQuery(this).attr('products_count');

        var widget = jQuery(this).closest(".news_class");
        var id = jQuery(widget).attr('id');
        var storage_id = id + "-" + category_id;
        var data = localStorage.getItem(storage_id);

        jQuery('.ecommerce-shop-products-tab .ecommerce-shop-products-tabs-title').removeClass('activate');
        jQuery(this).addClass('activate');

        jQuery.ajax({
            url: EddStoreProducts.ajaxurl,
            type: 'post',
            data: {
                action: 'relic_edd_store_produts_tab',
                category_id: category_id,
                products_count: products_count,
            },
            success: function (response) {
                setTimeout(function () {
                    localStorage.setItem(storage_id, data);
                    jQuery('.nav-home-tab-section').html(response);
                }, 1000);
            },
            beforeSend: function () {
                jQuery('.nav-home-tab-section').html('<div class="ajax-call-edd-store"><svg width="200px"  height="200px"  xmlns="" viewBox="0 0 100 100" preserveAspectRatio="xMidYMid" class="lds-eclipse" style="background: none;"><path ng-attr-d="{{config.pathCmd}}" ng-attr-fill="{{config.color}}" stroke="none" d="M10 50A40 40 0 0 0 90 50A40 42 0 0 1 10 50" fill="#e86785" transform="rotate(233.818 50 51)"><animateTransform attributeName="transform" type="rotate" calcMode="linear" values="0 50 51;360 50 51" keyTimes="0;1" dur="1s" begin="0s" repeatCount="indefinite"></animateTransform></path></svg></div>');
            },
        });

    });
});