<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package relic_edd_store
 */
get_header();

global $post;
$relic_edd_store_author 		= 	get_user_by( 'id', get_query_var( 'author' ) );
$relic_edd_store_author_name	=	get_user_meta(	$relic_edd_store_author->ID ,'nickname');
$relic_edd_store_author_details=	get_userdata(	$relic_edd_store_author->ID );
$relic_edd_store_author_title	=	get_the_author_meta( 'author_page_title', $relic_edd_store_author->ID );
$relic_edd_store_author_subs	=	get_the_author_meta( 'author_page_subtitle', $relic_edd_store_author->ID );
?>
<div class="th-download-archive-banner">
	<header class="page-header">
		<div class="container">
                <h3><?php esc_html_e('All Products From','relic-edd-store') ; ?>  <?php echo esc_html(get_the_author_meta('display_name',$relic_edd_store_author->ID)); ?> </h3>
			<?php do_action('relic_edd_store_breadcrumb'); ?>
		</div>
	</header><!-- .page-header -->
</div>
<div class="blog-wrapper">
    <?php  get_template_part('template-parts/content-author-dwonload'); ?>
</div>
<?php
get_footer();