<?php
/**
 * Template functions
 *
 * @package     Relic EDD Store
 * @author     	themerelic
 * @copyright   Copyright (c) 2019, themerelic
 * @link        http://themerelic.com
 * @since       Relic EDD Store 1.0.0
 * */
function relic_edd_store_register_recomended_plugins() {
    /*
    * The list of Plugin Requird List
    * @since 1.0.0
    */
    $relic_edd_store_plugins = array(
        // Easy Digital Downloads
        array(
            'name' => esc_html__( 'Easy Digital Downloads', 'relic-edd-store'),
            'slug' => 'easy-digital-downloads',
            'required' => false,
        ),
        // Mailchimp for WordPress
        array(
            'name' => esc_html__( 'Mailchimp for WordPress', 'relic-edd-store'),
            'slug' => 'mailchimp-for-wp',
            'required' => false,
        ),
        array(
            'name' => esc_html__( 'Google Typography', 'relic-edd-store'),
            'slug' => 'google-typography',
            'required' => false,
        ),
        array(
            'name' => esc_html__( 'Contact Form 7', 'relic-edd-store'),
            'slug' => 'contact-form-7',
            'required' => false,
        ),
        array(
            'name' => esc_html__( 'Menu Icons by ThemeIsle', 'relic-edd-store'),
            'slug' => 'menu-icons',
            'required' => false,
        ),
         array(
            'name' => esc_html__( 'Easy Digital Downloads Featured Downloads', 'relic-edd-store'),
            'slug' => 'edd-featured-downloads',
            'required' => false,
        ),

    );
    

    /* Social Share Icons & Social Share Buttons
        * Array of configuration settings. Amend each line as needed. 
    */
    $relic_edd_store_config = array(
        'id'           => 'relic-edd-store',
        'default_path' => '',
        'menu'         => 'tgmpa-install-plugins',
        'has_notices'  => true,
        'dismissable'  => true,
        'dismiss_msg'  => '',
        'is_automatic' => false,
        'message'      => '',
    );

    tgmpa( $relic_edd_store_plugins, $relic_edd_store_config );
}
add_action( 'tgmpa_register','relic_edd_store_register_recomended_plugins' );//Register
